/*
 * apt.h - data structures for records from apt data file
 *
 * Adapted from "readme.apt" file obtained from NFDC
 *
 * Copyright (C) 1998, John C. Peterson <mailto:jaypee@netcom.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2. A copy is included in this distribution in the file
 * named "LICENSE".
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License, version 2, for more details.
 *
 * $Id: apt.h,v 1.1 1998/04/27 06:06:02 jcp Exp $
 *
 */

typedef struct {

char *airport_id;
char *airport_site_number;
char *airport_type;
char *info_date;
char *faa_region_code;
char *faa_district_code;
char *state_post_office_code;
char *state;
char *county;
char *countys_state;
char *city;
char *airport_name;
char *airport_ownership_type;
char *airport_usage;
char *owners_phone_number;
char *ref_point_latitude;
char *ref_point_latitude_sec;
char *ref_point_longitude;
char *ref_point_longitude_sec;
char *ref_point_determination_method;
char *airport_elevation;
char *airport_elevation_determination_method;
char *mag_variation_and_direction_deg;
char *mag_variation_epoch_year;
char *traffic_pattern_altitude_feet_agl;
char *aeronautical_sectional_chart_for_airport;
char *distance_of_airport_from_business_district;
char *direction_of_airport_from_business_district;	/* compass point */
char *boundary_artcc_id;
char *boundary_artcc_computer_id;
char *boundary_artcc_name;
char *responsible_artcc_id;
char *responsible_artcc_computer_id;
char *responsible_artcc_name;
char *fss_on_airport;
char *fss_id;
char *fss_name;
char *fss_phone_number;
char *alt_fss_id;
char *alt_fss_name;
char *alt_fss_phone_number;
char *facility_issuing_notams_and_weather_info;	/* 3-letter ID */
char *notam_d_service_availability;
char *fuel_types_available_for_public_use;
char *frame_repair_service_availability;
char *engine_repair_service_availability;
char *type_of_bottled_oxygen_available;
char *type_of_bulk_oxygen_available;
char *airport_attendance_schedule;
char *airport_lighting_schedule;
char *air_traffic_control_tower_on_airport;
char *unicom_frequencies_available;
char *common_traffic_advisory_frequency;
char *segmented_circle_on_airport;
char *beacon_lens_color;

} apt_t;
